View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000017aMuleSharedfilespublic2004-04-15 12:212004-07-18 14:39
Reportersw256 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000017: stops working when >1000 shared files
DescriptionI have over 1500 shared files, when I first start amule (without known.met) it will try to rehash all of them, and this causes the error "too many files open" after about 800 or so files, which will make any further operation impossible (subsequently amule fails to open any .met files and so on). Then I kill amule and start again; it will continue rehashing the files, i.e. the old rehashed information is not lost. So I have to kill and start amule several times until all my shared files can be successfully rehashed.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000021)
sw256 (reporter)
2004-04-15 12:33

(this happens using amule 2.0.0rc1 under Debian GNU/Linux)
(0000029)
Kry (manager)
2004-04-15 13:46

weird, the rehashing should be serial, not paralell. Will be checked.
(0000057)
foo (reporter)
2004-05-09 18:29

Maybe this is unrelated, but maybe not:
I had the same trouble with "too many open files" with 1.2.6 and prior versions, even if I had only few files shared but a lot of files (>500) in my download list.

I used to keep a list of files "to do" in my download list (in stopped state, of course) and resumed them manually.
The requestor "too many open files" or "could not append to ...log: Too many open files" were quite a nuisance, until I started ignoring the first one to pop open. amule would continue to run without problems even with such a requestor open.

Currently, I work around this by keeping a text file with all the ed2klinks and only about 20 files in the download list.

It seems amule doesn't always close files it's opening for hashing - regardless of the file being a completed, shared file or a temp file.

  /foo
(0000157)
Kry (manager)
2004-07-18 14:39

fixed on rc4

- Issue History
Date Modified Username Field Change
2004-04-15 12:21 sw256 New Issue
2004-04-15 12:33 sw256 Note Added: 0000021
2004-04-15 13:46 Kry Note Added: 0000029
2004-04-15 13:46 Kry Status new => acknowledged
2004-05-09 18:29 foo Note Added: 0000057
2004-07-18 14:39 Kry Status acknowledged => closed
2004-07-18 14:39 Kry Note Added: 0000157


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker